package csa.tiletools.worldgen.mapgen.miny.render.BB;

import csa.tiletools.worldgen.mapgen.processing.CSAProcessing;

public class BBRect
{
  public int left;
  public int top;
  public int right;
  public int bottom;

  public BBRect(int paramInt1, int paramInt2, int paramInt3, int paramInt4)
  {
    this.left = paramInt1;
    this.top = paramInt2;
    this.right = paramInt3;
    this.bottom = paramInt4;
  }

  public BBRect(float paramFloat1, float paramFloat2, float paramFloat3, float paramFloat4)
  {
    this.left = CSAProcessing.floor(paramFloat1);
    this.top = CSAProcessing.floor(paramFloat2);
    this.right = CSAProcessing.ceil(paramFloat3);
    this.bottom = CSAProcessing.ceil(paramFloat4);
  }
}
